Get Team
curl --request GET \
--url https://api.lemlist.com/api/team \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/team"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/team")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/team",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "tea_b4rMsi2trBhahaha",
"name": "lemlist",
"userIds": [
"usr_4YGm9ez7gMdyhahaha",
"usr_5GdFEgSLCN4hahaha",
"usr_F7iPChEQ3phahaha"
],
"createdBy": "usr_4YGm9ez7gMdyhahaha",
"createdAt": "2018-02-22T08:52:30.926Z",
"hooks": [
{
"_id": "hoo_Ib5jfViX9hn3FzNqr",
"targetUrl": "https://hooks.zapier.com/hooks/standard/946357/*some-id*/",
"createdAt": "2018-06-05T09:07:07.761Z",
"zapId": 123456789,
"type": "emailsReplied",
"campaignId": "cam_TgyErJghahaha",
"isFirst": true
},
{
"_id": "hoo_SDRr2w4JigZDL7OB2",
"targetUrl": "https://hooks.zapier.com/hooks/standard/5078320/*some-other-id*/",
"createdAt": "2019-06-05T14:38:56.535Z",
"zapId": 987654321,
"type": "emailsReplied",
"campaignId": "cam_J2M3P9Z8whahaha"
},
{
"_id": "hoo_IYAPP4HnSyU7UTH3E",
"targetUrl": "https://hooks.zapier.com/hooks/standard/5078320/*some-id*/",
"createdAt": "2019-06-05T15:49:36.624Z",
"zapId": 59831776,
"type": "emailsReplied",
"campaignId": "cam_qBNYaIFXA77eXM1Ey",
"isFirst": true
},
{
"_id": "hoo_UAtwcPAd0tK9U6hKG",
"targetUrl": "https://subdomain.pipedream.net",
"createdAt": "2022-02-10T16:45:28.216Z",
"campaignId": "cam_7BE8IZRaqahU44Wp6"
}
],
"slackWebhook": {
"url": "https://hooks.slack.com/services/T123456789/B123456789/*some-id*",
"failCounter": 1
},
"beta": [
"outreachQueue",
"crmSyncApiSalesforce",
"voipWhitelist",
"lemrich_postLemrichKafka",
"computedFieldActiveCampaigns"
],
"pictureId": "fil_vRhMy09kT1Rv4Kq4O.png",
"invitedUsers": [
{
"email": "support@lemlist.com",
"role": "member",
"invitedBy": "usr_w7XoMXW37hahaha",
"invitedAt": "2023-03-04T20:06:29.585Z"
},
{
"email": "taylor@example.com",
"role": "admin",
"invitedBy": "usr_Hq4uzGvFP5q6homd",
"invitedAt": "2024-09-13T12:39:55.984Z"
}
],
"agency": "usr_4YGm9ez7gMd2123456",
"customDomain": "custom.domain.com",
"users": [
{
"userId": "usr_4YGm9ez7gMdyhahaha",
"name": "John Doe",
"email": "john@lemlist.com",
"role": "admin"
},
{
"userId": "usr_5GdFEgSLCN4hahaha",
"name": "Jane Doe",
"email": "jane@lemlist.com",
"role": "member"
}
]
}No API key providedThe authentication you supplied is incorrectUser linked to this API key is blockedNo user found for this API keyTeam
Get Team
Retrieves information about your team.
GET
/
team
Get Team
curl --request GET \
--url https://api.lemlist.com/api/team \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/team"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/team', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/team")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/team",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"_id": "tea_b4rMsi2trBhahaha",
"name": "lemlist",
"userIds": [
"usr_4YGm9ez7gMdyhahaha",
"usr_5GdFEgSLCN4hahaha",
"usr_F7iPChEQ3phahaha"
],
"createdBy": "usr_4YGm9ez7gMdyhahaha",
"createdAt": "2018-02-22T08:52:30.926Z",
"hooks": [
{
"_id": "hoo_Ib5jfViX9hn3FzNqr",
"targetUrl": "https://hooks.zapier.com/hooks/standard/946357/*some-id*/",
"createdAt": "2018-06-05T09:07:07.761Z",
"zapId": 123456789,
"type": "emailsReplied",
"campaignId": "cam_TgyErJghahaha",
"isFirst": true
},
{
"_id": "hoo_SDRr2w4JigZDL7OB2",
"targetUrl": "https://hooks.zapier.com/hooks/standard/5078320/*some-other-id*/",
"createdAt": "2019-06-05T14:38:56.535Z",
"zapId": 987654321,
"type": "emailsReplied",
"campaignId": "cam_J2M3P9Z8whahaha"
},
{
"_id": "hoo_IYAPP4HnSyU7UTH3E",
"targetUrl": "https://hooks.zapier.com/hooks/standard/5078320/*some-id*/",
"createdAt": "2019-06-05T15:49:36.624Z",
"zapId": 59831776,
"type": "emailsReplied",
"campaignId": "cam_qBNYaIFXA77eXM1Ey",
"isFirst": true
},
{
"_id": "hoo_UAtwcPAd0tK9U6hKG",
"targetUrl": "https://subdomain.pipedream.net",
"createdAt": "2022-02-10T16:45:28.216Z",
"campaignId": "cam_7BE8IZRaqahU44Wp6"
}
],
"slackWebhook": {
"url": "https://hooks.slack.com/services/T123456789/B123456789/*some-id*",
"failCounter": 1
},
"beta": [
"outreachQueue",
"crmSyncApiSalesforce",
"voipWhitelist",
"lemrich_postLemrichKafka",
"computedFieldActiveCampaigns"
],
"pictureId": "fil_vRhMy09kT1Rv4Kq4O.png",
"invitedUsers": [
{
"email": "support@lemlist.com",
"role": "member",
"invitedBy": "usr_w7XoMXW37hahaha",
"invitedAt": "2023-03-04T20:06:29.585Z"
},
{
"email": "taylor@example.com",
"role": "admin",
"invitedBy": "usr_Hq4uzGvFP5q6homd",
"invitedAt": "2024-09-13T12:39:55.984Z"
}
],
"agency": "usr_4YGm9ez7gMd2123456",
"customDomain": "custom.domain.com",
"users": [
{
"userId": "usr_4YGm9ez7gMdyhahaha",
"name": "John Doe",
"email": "john@lemlist.com",
"role": "admin"
},
{
"userId": "usr_5GdFEgSLCN4hahaha",
"name": "Jane Doe",
"email": "jane@lemlist.com",
"role": "member"
}
]
}No API key providedThe authentication you supplied is incorrectUser linked to this API key is blockedNo user found for this API keyAuthorizations
Query Parameters
Response
Success
The organization account that manages users and billing.
Was this page helpful?